<div *ngIf="auth.user | async; else showLogin">
    <button class="btn btn-danger" (click)="logout()">Logout</button>
</div>

<ng-template #showLogin>
    <div class="col-6 mx-auto">
        <div class="mb-3 row">
            <label for="staticEmail" class="col-sm-2 col-form-label" >Email</label>
            <div class="col-sm-10"><input type="text"  class="form-control" [(ngModel)]="email" name="EMAIL"></div>
        </div>
        <div class="mb-3 row">
            <label for="inputPasword" class="col-sm-2 col-form-label">Pasword</label>
            <div class="col-sm-10"><input type="password"  class="form-control" [(ngModel)]="pass" name="PASWORD"></div>
        </div>
        <div class="d-grid gap-2 d-md-flex">
            <button class="btn btn-primary" (click)= "logincongoogle()">Login with Google</button>
            <button class="btn btn-primary" (click)= "customLogin()">Login with Email</button>
        </div>
    </div>
</ng-template>

<button class="btn btn-primary" *ngIf="action=='register'" (click)="register()">Registrer</button>